-- LUALOCALS < ---------------------------------------------------------
-- SKIP: include klots
local error, loadfile, minetest, rawget, rawset, table
    = error, loadfile, minetest, rawget, rawset, table
local table_concat
    = table.concat
-- LUALOCALS > ---------------------------------------------------------

local klots = {}
rawset(_G, "klots", klots)

local include = rawget(_G, "include") or function(path, ...)
	local parts = {
		minetest.get_modpath(minetest.get_current_modname()),
		path
	}
	if parts[#parts]:sub(-4) ~= ".lua" then
		parts[#parts] = parts[#parts] .. ".lua"
	end
	local func, err = loadfile(table_concat(parts, "/"))
	if err then return error(err) end
	return func(...)
end
rawset(_G, "include", include)

include("api_editmode")

include("api_register_playerstep")
include("api_flash_screen")
include("api_player_control")
include("api_player_teleport")

include("api_scan_flood")
include("api_klot_try_move")

include("api_auto_timer")

include("api_register_terrain")

include("api_no_items")
